#
# spec file for package w3mir
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           w3mir
Version:        1.0.10
Release:        683.6
License:        Artistic-1.0
Summary:        HTTP Copying and Mirroring Tool
Url:            http://langfeldt.net/w3mir/
Group:          Productivity/Networking/Web/Utilities
Source:         %{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-path.patch
BuildRequires:  perl-libwww-perl
BuildArch:      noarch
Requires:       perl = %{perl_version}
Requires:       perl-HTML-Parser
Requires:       perl-URI
Requires:       perl-libwww-perl
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
w3mir's main focus is to create and maintain a browsable copy of one or
several remote World Wide Web sites.

Used to its full potential, w3mir can retrieve the contents of several
related sites and leave the mirror browseable via a local web server or
from a file system, such as directly from a CD-ROM.

w3mir's goal is to be able to make useful mirrors of any reasonable
World Wide Web site. It specifically preserves link integrity within
the mirrored documents as well as the integrity of links outside the
mirror, if you want it to. w3mir has a powerful "multi scope" mechanism
enabling the user to make mirrors of several related sites and have
links between them refer to the mirrored documents rather than the
original site. w3mir has several features directed at getting mirrors
for CD-ROM burning and the handling of some rare problems when
mirroring.

%prep
%autosetup -p0

%build
perl Makefile.PL
make

%install
install -d %{buildroot}/%perl_archlib
make DESTDIR=%{buildroot} install_vendor
%perl_process_packlist

%files
%defattr(-,root,root)
%doc Artistic Changes INSTALL MANIFEST example.cfg multiscope.cfg README w3mir-HOWTO.html
%doc %{_mandir}/man1/*
%{_bindir}/*
%{perl_vendorlib}/*.pm

%clean
rm -r %{buildroot}

%changelog
* Tue Feb 20 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Mon Jan 10 2011 coolo@novell.com
- make it build and clean up spec file
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Nov  1 2004 tcrhak@suse.cz
- save data in the current directory, not the root one
  [bug #47540, patch path]
* Wed Jun 23 2004 hmacht@suse.de
- building as non-root user
* Wed Aug 20 2003 mjancar@suse.cz
- require the perl version we build with
* Mon Jul 28 2003 ro@suse.de
- install to vendor location
* Tue Jul  1 2003 ro@suse.de
- use perl_process_packlist macro
* Fri Aug  9 2002 mls@suse.de
- use sitearch macro
* Mon Jul 29 2002 mls@suse.de
- fixed neededforbuild for perl-5.8.0
* Tue Jul 31 2001 adostal@suse.cz
- change URL (new is http://langfeldt.net/w3mir/)
* Tue Mar 13 2001 cihlar@suse.cz
- update to version 1.0.10
* Thu Nov 16 2000 cihlar@suse.cz
- fixed neededforbuild
- bzipped sources
* Tue Aug 22 2000 ro@suse.de
- fixed perl path
* Mon Jun 19 2000 cihlar@suse.cz
- removed perl modules
* Mon May 22 2000 cihlar@suse.cz
- fixed bug with sed
* Thu May 18 2000 cihlar@suse.cz
- /usr/doc/packages -> %%{_defaultdocdir}
* Fri Mar 31 2000 cihlar@suse.cz
- added BuildRoot
- clean up spec file
- update to version 1.0.9
- update HTML-Parser to version 3.07
- update libwww-perl to version 5.47
- removed conflicts perl_uri: new version of libwww use it
- added requires perl_uri and perl_net
* Wed Mar 22 2000 ro@suse.de
- removed libnet, is in perl_net now
* Wed Mar 22 2000 ro@suse.de
- removed MD5 : should work with new perl_md5 package
- added conflicts perl_uri : libwww can't work with recent URI
* Thu Feb 17 2000 grimmer@suse.de
- added URL
- use version macro
- apply recommended patch from web site to abort
  function rm_rf immediately
* Thu Jan 20 2000 ro@suse.de
- use macro for mandir
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jun 14 1999 grimmer@suse.de
- update to 1.0.8
- updated Perl-Modules and changed pathnames
- now uses "make install" to install perl modules
* Wed Mar 17 1999 ro@suse.de
- remove .orig with -f
* Tue Mar  2 1999 grimmer@suse.de
- new version 1.0.6
- added perl module HTML-Parser
- specfile changes
* Wed Jan 20 1999 ro@suse.de
- adapted filelist to build on alpha as well
* Tue Nov 17 1998 ro@suse.de
- adapted paths to perl5.005_02
* Tue Nov 10 1998 grimmer@suse.de
- new version 1.0.3 -> 1.0.5
- new versions of perl Modules:
  MIME-Base64 2.05 -> 2.08
- minor specfile changes
* Tue Oct  6 1998 ro@suse.de
- respect different perl-versions
* Mon Jul 13 1998 grimmer@suse.de
- new version 0.99b2 -> 1.0.3
- new versions of perl Modules:
  MIME-Base64 2.04 -> 2.05
  libwww 5.18 -> 5.34
- fixed installation of Perl Modules
- fixed spec- and pacfiles
* Mon Apr  6 1998 ro@suse.de
- fixed postin (again: removed leading /)
* Wed Mar 11 1998 ro@suse.de
- fixed postin
* Thu Feb 12 1998 ro@suse.de
- fixed specfile and changed usr/local/bin/perl in demos
* Tue Jan 13 1998 bb@suse.de
  About Version 0.99a3:
  Feature/Code freeze time.  Now we only debug.  Baring serious problems
  the next release will be 0.99b1 (beta).  New in this release
- We understand the BASE tag.  It's still removed, but everything is
  relative to it instead of the document origin.
- Everything is in place to fix up redirected references, in a separate
  program.
